# Class PredefinedBimChangeMetadataQuery

Predefined queries to use with BimCoreApiClient.getChanges.

##### Index

### Constructors

constructor

### Methods

all
blob
dwg
folder
ifc
layer
layerAttachments
pdf

## Constructors

### constructor

- new PredefinedBimChangeMetadataQuery(): PredefinedBimChangeMetadataQuery

  #### Returns PredefinedBimChangeMetadataQuery

## Methods

### `Static` all

- all(): BimChangeMetadataQuery<BimChange>

  Gets all successfully processed folders.

  #### Returns BimChangeMetadataQuery<BimChange>

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.folder())

  Query for use with TwinfinityApiClient.getChanges.

### `Static` blob

- blob<T extends BimChange = BimChangeBlob>(
  extension: string,
  status?: BimChangeStatus,
  ): BimChangeMetadataQuery<T>

  Gets all blobs/files with a specific file extension and status

  #### Type Parameters

  - T extends BimChange = BimChangeBlob

  #### Parameters

  - extension: string

    File extension

  - status: BimChangeStatus = BimChangeStatus.Processed

    Status of files to get.

  #### Returns BimChangeMetadataQuery<T>

  Query for use with TwinfinityApiClient.getChanges.

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.blob("docx"))

### `Static` dwg

- dwg(status?: BimChangeStatus): BimChangeMetadataQuery<BimChangeDwg>

  Gets all successfully processed DWG changes.

  #### Parameters

  - status: BimChangeStatus = BimChangeStatus.Processed

    Status of DWG files to get. Query for use with TwinfinityApiClient.getChanges.

  #### Returns BimChangeMetadataQuery<BimChangeDwg>

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.dwg())

### `Static` folder

- folder(): BimChangeMetadataQuery<BimFolder>

  Gets all successfully processed folders.

  #### Returns BimChangeMetadataQuery<BimFolder>

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.folder())

  Query for use with TwinfinityApiClient.getChanges.

### `Static` ifc

- ifc(status?: BimChangeStatus): BimChangeMetadataQuery<BimChangeIfc>

  Gets all successfully processed IFC changes.

  #### Parameters

  - status: BimChangeStatus = BimChangeStatus.Processed

    Status of IFC files to get. Query for use with TwinfinityApiClient.getChanges.

  #### Returns BimChangeMetadataQuery<BimChangeIfc>

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.ifc())

### `Static` layer

- layer(format: string): BimChangeMetadataQuery<BimChangeLayer>

  Gets all layers of a specific format

  #### Parameters

  - format: string

    Type of layer to get. For example "sensors"

  #### Returns BimChangeMetadataQuery<BimChangeLayer>

  Query for use with TwinfinityApiClient.getChanges.

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.layer("sensors"))

### `Static` layerAttachments

- layerAttachments<T extends BimChangeUploadable = BimChangeUploadable>(
  format: string,
  ): BimChangeMetadataQuery<T>

  Retrieves the BimChangeMetadataQuery for layer attachments.

  #### Type Parameters

  - T extends BimChangeUploadable = BimChangeUploadable

  #### Parameters

  - format: string

    The format or layerId property.

  #### Returns BimChangeMetadataQuery<T>

  The BimChangeMetadataQuery object.

  #### Example

      // Get all layer attachments for sensor layers in projectA
      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.layerAttachments("sensors"));
      // Get all layer attachments for sensor layers in folderA
      api.getChanges(folderA, PredefinedBimChangeMetadataQuery.layerAttachments("sensors"));

### `Static` pdf

- pdf(status?: BimChangeStatus): BimChangeMetadataQuery<BimChangeBlob>

  Gets all successfully processed PDF changes.

  #### Parameters

  - status: BimChangeStatus = BimChangeStatus.Processed

    Status of PDF files to get. Query for use with TwinfinityApiClient.getChanges.

  #### Returns BimChangeMetadataQuery<BimChangeBlob>

  #### Example

      api.getChanges(projectA, PredefinedBimChangeMetadataQuery.pdf())